Bug 254820 - sysutils/p5-File-Rename: update to 1.20
Summary: sysutils/p5-File-Rename: update to 1.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lewis Cook
URL: https://metacpan.org/changes/distribu...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-04-06 15:16 UTC by Vidar Karlsen
Modified: 2021-04-06 21:56 UTC (History)
1 user (show)

See Also:


Attachments
git diff (904 bytes, patch)
2021-04-06 15:16 UTC, Vidar Karlsen
vidar: maintainer-approval+
Details | Diff
git diff (891 bytes, patch)
2021-04-06 19:55 UTC, Vidar Karlsen
vidar: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vidar Karlsen 2021-04-06 15:16:56 UTC
Created attachment 223864 [details]
git diff

QA:
* poudriere testport 11.4/12.2: ok
* portlint -AC: looks fine.

Changelog:
1.20    Robin Barker 2021-03-22
        On darwin, when built with ExtUtils::MakeMaker, 
        builds the correct script and passes tests; see
        http://matrix.cpantesters.org/?dist=File-Rename%201.19_04;os=darwin;reports=1
 
        1.19_04 Robin Barker 2021-03-20
        Fix distribution file format
 
        1.19_03 Robin Barker 2021-03-19
        Fix META.* for Makefile.PL
 
        1.19_02 Robin Barker 2021-03-18
        More robust OSType handling
 
        1.19_01 Robin Barker 2021-03-17
        Fix Makefile and tests to find script on darwin
 
1.13    Robin Barker 2020-06-17
        Fix 'examples' test script to do file globbing
 
1.12    Robin Barker 2020-06-17
        Added new test script to MANIFEST
 
1.11    Robin Barker 2020-06-16
        Added more examples in the script POD, suggested by 'xavier'
        Added a test script to test that examples in POD are valid


This is the first (ok, second) time I'm submitting a git diff, so please let me know if I messed something up.
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2021-04-06 15:49:25 UTC
Moin moin, the patch does not apply:

pts/1 [lcook@orbis] ports$ fetch -q "https://bz-attachments.freebsd.org/attachment.cgi?id=223864" -o patch.diff
pts/1 [lcook@orbis] ports$ git apply patch.diff -v
Checking patch sysutils/p5-File-Rename/Makefile...
error: while searching for:
# $FreeBSD$

PORTNAME=       File-Rename
PORTVERSION=    1.10
CATEGORIES=     sysutils perl5
MASTER_SITES=   CPAN
PKGNAMEPREFIX=  p5-

error: patch failed: sysutils/p5-File-Rename/Makefile:1
error: sysutils/p5-File-Rename/Makefile: patch does not apply
Checking patch sysutils/p5-File-Rename/distinfo...

Are you using the latest ports git repository? The $FreeBSD$ SVN keyword was made deprecated and is now not included, therefore causing the patch to fail[1].

[1] Note the absence of the '$FreeBSD$' tag, https://cgit.freebsd.org/ports/plain/sysutils/p5-File-Rename/Makefile
Comment 2 Vidar Karlsen 2021-04-06 16:22:00 UTC
(In reply to Lewis Cook from comment #1)
I cloned from https://git.freebsd.org/ports.git. Is that the wrong one?
Comment 3 Lewis Cook freebsd_committer freebsd_triage 2021-04-06 16:52:25 UTC
(In reply to Vidar Karlsen from comment #2)
That's the right one.  I just cloned a new ports tree to test, and I still cannot replicate your patch output with git-diff.  Double-check your setup because that SVN tag definitely no longer exists in the git tree. :-)

To be clear, what I done:

$ git clone https://git.freebsd.org/ports.git -o ports-new ; cd ports-new
$ <make whatever according changes>
$ git diff > patch.diff

...And it works OK for me.

I'm happy to commit the minor changes, so the patch applies if you want me to?  Otherwise, everything works and looks OK to me.
Comment 4 Lewis Cook freebsd_committer freebsd_triage 2021-04-06 17:00:17 UTC
(In reply to Lewis Cook from comment #3)
Ah... I found the culprit. Looking back to a previous commit;

* 305f148f482d - Remove # $FreeBSD$ from Makefiles. (2 hours ago) <Mathieu Arnold>

So it appears your local copy is out-of-date. No worries!  `git pull` will fetch the latest changes, and if you have any commits, you will need to rebase -- `git pull --rebase`.
Comment 5 Vidar Karlsen 2021-04-06 19:55:12 UTC
Created attachment 223873 [details]
git diff
Comment 6 Vidar Karlsen 2021-04-06 19:56:00 UTC
(In reply to Lewis Cook from comment #4)
Thanks! That did the trick. I've uploaded a new, fixed patch that (I hope!) should work.
Comment 7 commit-hook freebsd_committer 2021-04-06 21:56:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=05d2dc097f16d42c234c8e8ef6ab6d444474d326

commit 05d2dc097f16d42c234c8e8ef6ab6d444474d326
Author:     Lewis Cook <lcook@FreeBSD.org>
AuthorDate: 2021-04-06 21:52:28 +0000
Commit:     Lewis Cook <lcook@FreeBSD.org>
CommitDate: 2021-04-06 21:55:03 +0000

    sysutils/p5-File-Rename: Update to 1.20

    Changes:        https://metacpan.org/release/RMBARKER/File-Rename-1.20
    PR:             254820
    Submitted by:   Vidar Karlsen <vidar@karlsen.tech> (maintainer)
    Approved by:    mentors (implicit)

 sysutils/p5-File-Rename/Makefile | 2 +-
 sysutils/p5-File-Rename/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 8 Lewis Cook freebsd_committer freebsd_triage 2021-04-06 21:56:59 UTC
Committed, thanks! :)